Bug 1012017 - Unavailable artifacts referenced in the eap6-supported-artifacts BOM
Unavailable artifacts referenced in the eap6-supported-artifacts BOM
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER7
: EAP 6.2.0
Assigned To: Vladimir Dosoudil
Nikoleta Ziakova
Russell Dickenson
:
Depends On: 1016048
Blocks: eap62-beta-blockers
  Show dependency treegraph
 
Reported: 2013-09-25 10:45 EDT by Nikoleta Ziakova
Modified: 2013-12-15 11:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:13:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikoleta Ziakova 2013-09-25 10:45:47 EDT
A. jboss-as artifacts with incorrect version "-redhat-5" instead of "-redhat-6" -- this should be fixed in new Maven repo zip ER3.1

B. List of unavailable dependencies defined in the BOM:
   com.sun:tools:jar:1.6
      (not available)

   org.jboss.hal:release-stream:jar:2.0.0.Final-redhat-1
      (type pom not defined)

   org.jboss.ws.cxf:jbossws-cxf-resources:jar:4.2.1.Final-redhat-1
      (type pom not defined)

   org.wildfly:wildfly-core-security:jar:7.3.0.Final-redhat-5
     (version 7.3.0.Final-redhat-6 available)

   org.wildfly:wildfly-patching:jar:7.3.0.Final-redhat-5
     (version 7.3.0.Final-redhat-6 available)

   sun.jdk:jconsole:jar:jdk
     (not available)

C. List of unavailable transitive dependencies of artifacts defined in the BOM:
   org.apache.cxf:cxf-tools-java2ws:jar:2.7.6.redhat-2 is missing:
     org.apache.cxf:cxf-rt-javascript:jar:2.7.6.redhat-2
    (version 2.6.8.redhat-7 is available)

   org.apache.cxf.services.ws-discovery:cxf-services-ws-discovery-api:jar:2.7.6.redhat-2 is missing:
     org.apache.cxf:cxf-rt-transports-udp:jar:2.7.6.redhat-2

   org.jboss.com.sun.httpserver:httpserver:jar:1.0.1.Final-redhat-2 is missing
     junit:junit:jar:4.10-redhat-2
Comment 1 Nikoleta Ziakova 2013-09-25 10:47:49 EDT
Same issue was fixed for EAP 6.1.1
Comment 2 Rostislav Svoboda 2013-09-27 05:20:42 EDT
There are still problem with EAP 6.2.0 ER3.1 maven repo zip.

For example: 
Caused by: org.sonatype.aether.transfer.ArtifactNotFoundException: Could not find artifact com.sun:tools:jar:1.6
Comment 3 Paul Gier 2013-09-29 23:40:44 EDT
A. This will be fixed in the next release.

B. The dependencies com.sun:tools and sun.jdk:jconsole have been excluded for the next build
http://git.app.eng.bos.redhat.com/?p=jboss-eap/maven-repository-testsuite.git;a=commitdiff;h=d27b9c75ee5ad56a0b7ddde59412fc0abd353891

I don't agree that we should define types in the POM (org.jboss.hal:release-stream and org.jboss.ws.cxf:jbossws-cxf-resources).  It's up to the user to define which type of artifact they want to download, the BOM only defines the versions.

C. This will be fixed in the next release.
Comment 5 Vladimir Dosoudil 2013-10-04 02:47:51 EDT
Built with ER4.
Comment 6 Nikoleta Ziakova 2013-10-04 05:02:13 EDT
3 artefacts still unavailable in EAP 6.2.0 ER4 Maven repo zip:

(B) missing dependencies:
    org.jboss.ws.cxf:jbossws-cxf-resources:jar:4.2.1.Final-redhat-3
    (zip contains jbossws-cxf-resources-4.2.1.Final-redhat-3-jboss720.jar)

    org.jboss.hal:release-stream:jar:2.0.2.Final-redhat-1
    (zip contains release-stream-2.0.2.Final-redhat-1-resources.jar)

(C) missing transitive dependencies:
    junit:junit:jar:4.10-redhat-2 
    (dependency of org.jboss.com.sun.httpserver:httpserver:jar:1.0.1.Final-redhat-2)
Comment 7 Vladimir Dosoudil 2013-10-04 07:11:39 EDT
Note for (B):
These artifacts have classifier. For resolving them using <classifier/> is mandatory i.e.

<dependency>
  <artifactId>org.jboss.ws.cxf</artifactId>
  <groupId>jbossws-cxf-resources</groupId>
  <classifier>jboss720</classifier>
  ...
</dependency>

<dependency>
  <artifactId>org.jboss.hal</artifactId>
  <groupId>release-stream</groupId>
  <classifier>resources</classifier>
  ...
</dependency>
Comment 8 Vladimir Dosoudil 2013-10-04 07:22:24 EDT
Note for (C):
Junit is a transitive dependency but just for testing purposes. Could be excluded in dependency to httpserver (but it's workaround). Better solution is to rebuild httpserver with dependency on upstream junit, then this transitivity will be solved trivially with using central to resolve junit. The second option is to include additional artifact junit:junit:jar:4.10-redhat-2 into the Maven repository zip (temporary until httpserver is rebuilt with upstream junit).
Comment 10 Paul Gier 2013-10-06 21:08:33 EDT
Comment regarding (C): As Vladimir suggested, this should be changed to the upstream version to make it clear that JUnit is not a supported jar.  In addition, it might be good to change the dependency scope to "test" or make the dependency optional, because JUnit should not be required to use use the httpserver jar from the Maven repo.
Comment 11 Vladimir Dosoudil 2013-10-07 09:12:08 EDT
For (C), httpserver rebuilt, PR for EAP sent, see blocking BZ 1016048.
Comment 13 Paul Gier 2013-10-07 18:55:38 EDT
New build of httpserver will not bring in transitive junit dependency.
Comment 15 Nikoleta Ziakova 2013-10-08 07:18:29 EDT
(B) artifacts with classifier

I added classifiers into the test pom. However these artifacts can not be resolved becase their version is not defined.

For example for dependency org.jboss.ws.cxf:jbossws-cxf-resources:jar:jboss720 I get the following error:

[ERROR] 'dependencies.dependency.version' for org.jboss.ws.cxf:jbossws-cxf-resources:jar:jboss720 is missing. @ line 337, column 14

The same problem is for missing type definition when artifact is not of type 'jar'.
Comment 16 Nikoleta Ziakova 2013-10-08 07:27:14 EDT
(C) transitive dependencies

After defining classifier and version for org.jboss.hal:release-stream:jar:2.0.2.Final-redhat-1 I found another issue, this artifact is missing a dependency:

org.jboss.as:jboss-as-console-resources:war:2.0.3.Final-redhat-2
Comment 17 Nikoleta Ziakova 2013-10-08 07:51:17 EDT
Current issues with the BOM in EAP 6.2.0 ER5:

(B) missing dependencies:

    org.jboss.as:jboss-as-build:jar:7.3.0.Final-redhat-8
    (type pom not defined)

    org.jboss.hal:release-stream:jar:2.0.3.Final-redhat-1
    (classifier not defined)

    org.jboss.ws.cxf:jbossws-cxf-resources:jar:4.2.1.Final-redhat-3
    (classifier not defined)

(C) missing transitive dependencies:

    org.apache.cxf:cxf-rt-transports-udp:jar:2.7.6.redhat-2
    (dependency of org.apache.cxf.services.ws-discovery:cxf-services-ws-discovery-api:jar:2.7.6.redhat-2)

    org.jboss.as:jboss-as-console-resources:war:2.0.3.Final-redhat-2
    (dependency of org.jboss.hal:release-stream:jar:resources:2.0.3.Final-redhat-1)
Comment 19 Paul Gier 2013-10-09 13:58:10 EDT
Fixed in the ER5.1 maven repo.
Comment 20 Nikoleta Ziakova 2013-10-10 06:13:23 EDT
Verified for EAP 6.2.0 ER5.1
Comment 21 Nikoleta Ziakova 2013-10-17 06:01:07 EDT
This issue was fixed in EAP 6.2.0 ER5.1. However there is another issue in EAP 6.2.0 ER6 so I am repoening this.

One new missing transitive dependency:

org.jboss.jbossts:jbossjts:jar:4.16.6.Final-redhat-1
(is a dependency of org.hornetq:hornetq-jms-server:jar:2.3.9.Final-redhat-1)
Comment 22 Vladimir Dosoudil 2013-10-17 09:05:59 EDT
HornetQ should be rebuilt with latest jbossts in the next release to use the same version of jbossts as AS/EAP parent/build pom.
Comment 23 Vladimir Dosoudil 2013-10-17 09:52:20 EDT
It seems jbossts is the test scoped dependency of hornetq but hornetq doesn't specify it in its pom as test scoped. HornetQ poms should be checked and test/optional dependencies should be set with the proper scope.
Comment 26 Paul Gier 2013-10-23 21:31:51 EDT
HornetQ was using the 4.16.x version of jbossts which used the older groupId/artifactId.  This should be resolved in the next version of hornetq included in ER7 (https://issues.jboss.org/browse/HORNETQ-1269).
Comment 27 Nikoleta Ziakova 2013-10-31 04:52:52 EDT
3 missing transitive dependencies in EAP 6.2.0 ER7:

org.apache.cxf:cxf-rt-javascript:jar:2.7.7.redhat-1
    dependency of: org.apache.cxf:cxf-tools-java2ws:jar:2.7.7.redhat-1
    version available in Maven repo zip: 2.7.6.redhat-2

org.apache.cxf:cxf-rt-transports-udp:jar:2.7.7.redhat-1
    dependency of: org.apache.cxf.services.ws-discovery:cxf-services-ws-discovery-api:jar:2.7.7.redhat-1
    version available in Maven repo zip: 2.7.6.redhat-2

org.jboss.as:jboss-as-console-resources:war:2.0.5.Final-redhat-1
    dependency of: org.jboss.hal:release-stream:jar:resources:2.0.5.Final-redhat-1
    version available in Maven repo zip: 2.0.3.Final-redhat-2
Comment 28 Nikoleta Ziakova 2013-10-31 08:45:15 EDT
Note for the 3rd missing dependency in my comment #27:

Maven repo zip contains BOM org.jboss.as:jboss-as-console-bom:2.0.3.Final-redhat-2, but it should be the version 2.0.5.Final-redhat-1
Comment 30 Nikoleta Ziakova 2013-11-01 04:38:41 EDT
org.jboss.as:jboss-as-console-resources:war:2.0.5.Final-redhat-1 is still missing. Neither 2.0.5.Final-redhat-1, nor 2.0.3.Final-redhat-2 is available in EAP 6.2.0 ER7.1 Maven repo zip.

One new missing dependency:
org.jboss.jdeparser:jdeparser:jar:1.0.0.Final-redhat-1
    is dependency of: org.jboss.osgi.metadata:jbosgi-metadata:jar:2.2.0.Final-redhat-1
    no version of this artifat available in ER7.1 but it was available in ER7
Comment 31 Paul Gier 2013-11-01 15:54:22 EDT
Added a manual include for jdeparser:
http://git.app.eng.bos.redhat.com/jboss-eap/maven-repository-testsuite.git/commit/?id=94e57bded6b04a432399284a32d7fd2e85cd8567

The console resources war file was missing because of a change in our repo gen tool, which is now fixed.
Comment 32 Nikoleta Ziakova 2013-11-04 03:29:46 EST
Verified for EAP 6.2.0 ER7.2

All artifacts referenced in eap6-supported-artifacts BOM are available either in Maven repository zip or in central repository.

NOTE: central repository must be enabled to get all the artifacts.

Note You need to log in before you can comment on or make changes to this bug.